<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>UsersModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="504pt" height="284pt"
 viewBox="0.00 0.00 504.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-280 500,-280 500,4 -4,4"/>
<text text-anchor="start" x="227.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="14,-10 14,-30 34,-30 34,-10 14,-10"/>
<text text-anchor="start" x="37.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="127,-10 127,-30 147,-30 147,-10 127,-10"/>
<text text-anchor="start" x="150.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="213,-10 213,-30 233,-30 233,-10 213,-10"/>
<text text-anchor="start" x="236.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="310,-10 310,-30 330,-30 330,-10 310,-10"/>
<text text-anchor="start" x="333.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="406,-10 406,-30 426,-30 426,-10 406,-10"/>
<text text-anchor="start" x="429.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_UsersModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="109,-70 109,-268 387,-268 387,-70 109,-70"/>
</g>
<g id="clust4" class="cluster">
<title>cluster_UsersModule_exports</title>
<polygon fill="none" stroke="black" points="198,-208 198,-260 308,-260 308,-208 198,-208"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_UsersModule_providers</title>
<polygon fill="none" stroke="black" points="117,-78 117,-130 379,-130 379,-78 117,-78"/>
</g>
<!-- UsersService  -->
<g id="node1" class="node">
<title>UsersService </title>
<polygon fill="#fb8072" stroke="black" points="299.85,-252 206.15,-252 206.15,-216 299.85,-216 299.85,-252"/>
<text text-anchor="middle" x="253" y="-229.8" font-family="Times,serif" font-size="14.00">UsersService </text>
</g>
<!-- UsersModule -->
<g id="node2" class="node">
<title>UsersModule</title>
<polygon fill="#8dd3c7" stroke="black" points="298.92,-187 295.92,-191 274.92,-191 271.92,-187 207.08,-187 207.08,-151 298.92,-151 298.92,-187"/>
<text text-anchor="middle" x="253" y="-164.8" font-family="Times,serif" font-size="14.00">UsersModule</text>
</g>
<!-- UsersModule&#45;&gt;UsersService  -->
<g id="edge1" class="edge">
<title>UsersModule&#45;&gt;UsersService </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M253,-187.11C253,-187.11 253,-205.99 253,-205.99"/>
<polygon fill="black" stroke="black" points="249.5,-205.99 253,-215.99 256.5,-205.99 249.5,-205.99"/>
</g>
<!-- UserSagas -->
<g id="node3" class="node">
<title>UserSagas</title>
<ellipse fill="#fdb462" stroke="black" cx="319" cy="-104" rx="51.58" ry="18"/>
<text text-anchor="middle" x="319" y="-99.8" font-family="Times,serif" font-size="14.00">UserSagas</text>
</g>
<!-- UserSagas&#45;&gt;UsersModule -->
<g id="edge2" class="edge">
<title>UserSagas&#45;&gt;UsersModule</title>
<path fill="none" stroke="black" d="M282.96,-117.15C282.96,-117.15 282.96,-140.69 282.96,-140.69"/>
<polygon fill="black" stroke="black" points="279.46,-140.69 282.96,-150.69 286.46,-140.69 279.46,-140.69"/>
</g>
<!-- UsersService -->
<g id="node4" class="node">
<title>UsersService</title>
<ellipse fill="#fdb462" stroke="black" cx="187" cy="-104" rx="61.95" ry="18"/>
<text text-anchor="middle" x="187" y="-99.8" font-family="Times,serif" font-size="14.00">UsersService</text>
</g>
<!-- UsersService&#45;&gt;UsersModule -->
<g id="edge3" class="edge">
<title>UsersService&#45;&gt;UsersModule</title>
<path fill="none" stroke="black" d="M228.13,-117.47C228.13,-117.47 228.13,-140.86 228.13,-140.86"/>
<polygon fill="black" stroke="black" points="224.63,-140.86 228.13,-150.86 231.63,-140.86 224.63,-140.86"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/services/users/users.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/UserSagas.html">UserSagas</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/UsersService.html">UsersService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../s/UsersService.html">UsersService</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Module } from &#x27;@nestjs/common&#x27;
import { CqrsModule } from &#x27;@nestjs/cqrs&#x27;
import { UsersService } from &#x27;./services/users.service&#x27;
import { UserSagas } from &#x27;./sagas/users.saga&#x27;
import { UserEventHandle } from &#x27;./events/users.aggregate&#x27;
import {
  CreateUserCommandHandler, AddSocialAccountToUserCommandHandler
} from &#x27;./commands/users.commands&#x27;
import { GetUserByIdQuery, GetUserByIdQueryHandler, GetUsersByIdsQueryHandler } from &#x27;./queries/user.queries&#x27;

const queryHandlers &#x3D; [
  GetUserByIdQueryHandler,
  GetUsersByIdsQueryHandler,
]

const commandHandlers &#x3D; [
  CreateUserCommandHandler,
  AddSocialAccountToUserCommandHandler,
]

const eventHandlers &#x3D; [
]

@Module({
  imports: [
    CqrsModule,
  ],
  providers: [
    UsersService,
    ...queryHandlers,
    ...commandHandlers,
    ...eventHandlers,
    UserEventHandle,
    UserSagas,
  ],
  exports: [UsersService],
})
export class UsersModule { }
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'UsersModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
